Search Results for

Show / Hide Table of Contents

# Class Scenario.ScenarioMetadata

##### Inheritance

System.Object
Scenario.ScenarioMetadata

###### Namespace: UICatalog

###### Assembly: UICatalog.dll

##### Syntax

    public class ScenarioMetadata : Attribute

### Constructors

#### ScenarioMetadata(String, String)

##### Declaration

    public ScenarioMetadata(string Name, string Description)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | Name |
System.String | Description |

### Properties

#### Description

##### Declaration

    public string Description { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Name

##### Declaration

    public string Name { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

#### GetDescription(Type)

##### Declaration

    public static string GetDescription(Type t)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Type | t |

##### Returns

Type | Description
--- | ---
System.String |

#### GetName(Type)

##### Declaration

    public static string GetName(Type t)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Type | t |

##### Returns

Type | Description
--- | ---
System.String |